<!--Begin: Header -->
<header (window:scroll)="myScrollHandler()">
    <div class="container">
        <div class="header">
            <h1 class="logo">
                <a href="javascript:;" [routerLink]="['/main/home']" title="Samar Enterprise">
                    <img src="assets/images/SamarSystems_Logo.png" alt="Samar Enterprise">
                </a>
            </h1>
            <nav>
                <ul class="MainNavigation" >
                    <li><a href="#" class="active" title="Home" [routerLink]="['/main/home']" (click)='removeOpen()'>Home</a></li>
                   <!--  <li><a href="#" title="About" (click)='removeOpen()'>About</a></li>
                    <li><a href="#" title="Contact" (click)='removeOpen()'>Contact</a></li> -->
                    <li class="headerbtn"><a href="javascript:;" (click)="openLoginModal(signIn)" class="btn btn-primary" title="Log In">Log In</a></li>
                </ul>
            </nav>
            <div class="navicon">
                <a class="nav-toggle" (click)='toggle()' href="javascript:;"><span></span></a>
            </div>
        </div>
    </div>
</header>
<!--End: Header -->

<!--Begin: SignIn Modal-->
<ng-template #signIn>
    <form #loginForm='ngForm' (ngSubmit)='onLogin(loginForm,user)'>
        <div class="authentication-modal">
          <div class="modal-header pb-0">
            <h6>Login to your account</h6>
            <button type="button" class="close pull-right moadal-close-btn" aria-label="Close" (click)="modalRef.hide()">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <div class="row">
                <div class="col-12">
                    <div class="form-group">
                        <input class='form-control' type="text" name="username" [(ngModel)]="user.username" placeholder="Username" id="username" required #username="ngModel" autocomplete="off" />
                        <div class="error-block" *ngIf="((submitted1 || username.touched) && username.invalid)">
                            {{showError('username', username.errors)}}
                        </div>
                    </div>
                </div>
                <div class="col-12">
                    <div class="form-group">
                        <div class="form-group">
                        <input class='form-control' type="password" name="password" [(ngModel)]="user.password" autocomplete="off" placeholder="Password" id="password" required #password="ngModel"/>
                        <div class="error-block" *ngIf="((submitted1 || password.touched) && password.invalid)">
                            {{showError('password', password.errors)}}
                        </div>
                    </div>
                    </div>
                </div>
                <div class="col-12">
                    <div class="row quicklink">
                        <div class="col-sm-6 col-6">
                            <div class="form-group">
                                <div class="checkbox">
                                    <label><input type="checkbox" name="remember" [(ngModel)]='user.remember'><span></span>Remember me</label>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-6 col-6">
                            <div class="form-group forgotlink">
                                <a href="javascript:;" class="link" (click)="openForgotModal(forgotmodal)">Forgot Password?</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            </div>
          <div class="modal-footer border-0">
            <button class="btn btn-primary btn-block btn-lg" type="submit">Log in</button>
          </div>
        </div>
    </form>
</ng-template>
<!--End: SignIn Modal-->

<!--Begin: Forgot Modal-->
<ng-template #forgotmodal>
    <form #forgotForm='ngForm' (ngSubmit)='onForgotPass(forgotForm,user)'>
      <div class="authentication-modal">
          <div class="modal-header">
          <h6>Forgot your password?</h6>
          <button type="button" class="close pull-right moadal-close-btn" aria-label="Close" (click)="modalRefForgot.hide()">
            <span aria-hidden="true">&times;</span>
          </button>
          </div>
          <div class="modal-body">
              <div class="row">
                  <div class="col-12">
                      <p>Enter your username and we'll send you your temporary password.</p>
                  </div>
                  <div class="col-12">
                      <div class="form-group">
                          <input class='form-control' type="text" name="username" [(ngModel)]="user.username" placeholder="Username" id="username"
                            required #username="ngModel" autocomplete="off" />
                          <div class="error-block" *ngIf="((submitted2 || username.touched) && username.invalid)">
                            {{showError('username', username.errors)}}
                          </div>
                      </div>
                  </div>
              </div>
          </div>
          <div class="modal-footer">
              <button class="btn btn-primary btn-block btn-lg" type="submit">Send Email</button>
          </div>
      </div>
    </form>
</ng-template>
<!--End: Forgot Modal-->
